import { type MaybeComputedRef, type MaybeRef } from '@vueuse/shared';
import { type Ref } from 'vue-demi';
import { Control, type Layer } from 'leaflet';
export interface UseLeafletLayersControlOptions extends Control.LayersOptions {
    currentBaseLayer?: MaybeRef<string | null | undefined>;
    currentOverlays?: MaybeRef<string[] | null | undefined>;
    factory?: (...args: unknown[]) => Control.Layers;
    dispose?: boolean;
}
export type UseLeafletLayersControlReturn = Ref<Control.Layers | null>;
export interface LayersObject {
    [name: string]: MaybeComputedRef<Layer | null | undefined>;
}
export declare function useLeafletLayersControl(baseLayers?: MaybeComputedRef<LayersObject | null | undefined>, overlays?: MaybeComputedRef<LayersObject | null | undefined>, options?: UseLeafletLayersControlOptions): UseLeafletLayersControlReturn;
